/* symlinkdialog.h

(C) 2002 Niall Douglas under the GNU General Public Licence
*/
#include "symlinkdialogbase.h"
class Help;
class SymLinkDialog : public SymLinkDialogBase
{
	Q_OBJECT
	Help *help;

public:
	SymLinkDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags f = 0 );

protected: // events
	void dragEnterEvent(QDragEnterEvent *e);
	void dropEvent(QDropEvent* event);
	bool eventFilter(QObject *o, QEvent *e);

public slots:
    void openHomepage();
    void openHelp();
    void pathBrowse();
};

